import {Component, inject, OnInit} from '@angular/core';
import {TodoService} from "../service/todo.service";
import {FormBuilder, FormGroup, ReactiveFormsModule, Validators} from "@angular/forms";

@Component({
  selector: 'app-create',
  standalone: true,
  imports: [
    ReactiveFormsModule
  ],
  templateUrl: './create.component.html',
  styleUrl: './create.component.css'
})
export class CreateComponent implements OnInit {
  todoService: TodoService = inject(TodoService);
  formBuilder: FormBuilder = inject(FormBuilder);
  form!: FormGroup;

  ngOnInit(): void {
    this.form = this.formBuilder.group({
      title: ['', Validators.required],
      dueDate: ['', Validators.required],
    })
  }

  public create(): void {
    this.todoService.create(this.form.value).subscribe(() => {
      this.todoService.todos.reload();
      this.form.reset();
    })
  }
}
